%global namedreltag .GA
%global namedversion %{version}%{?namedreltag}

Name:             jboss-logging
Version:          3.1.0
Release:          %mkrel 2
Summary:          The JBoss Logging Framework
Group:            Development/Java
License:          LGPLv2+
URL:              https://github.com/jboss-logging/jboss-logging

# git clone git://github.com/jboss-logging/jboss-logging.git
# cd jboss-logging/ && git archive --format=tar --prefix=jboss-logging-3.1.0.GA/ 3.1.0.GA | xz > jboss-logging-3.1.0.GA.tar.xz
Source0:          %{name}-%{namedversion}.tar.xz

BuildArch:        noarch
BuildRequires:    graphviz
BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven

BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-enforcer-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-plugin-bundle
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    maven-shared-osgi
BuildRequires:    jboss-logmanager
BuildRequires:    slf4j
BuildRequires:    log4j
BuildRequires:    apiviz >= 1.3.1-2
BuildRequires:    jboss-parent
BuildRequires:    maven-surefire-provider-junit

Requires:         log4j
Requires:         slf4j
Requires:         jboss-logmanager
Requires:         jpackage-utils
Requires:         java

%description
This package contains the JBoss Logging Framework.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%build

mvn-rpmbuild install javadoc:aggregate

%install

# JAR
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jboss
cp -p target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jboss/%{name}.jar

# APIDOCS
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

#POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}.pom

# DEPMAP
%add_maven_depmap JPP.jboss-%{name}.pom jboss/%{name}.jar

%files
%{_mavenpomdir}/JPP.jboss-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%{_javadir}/jboss/%{name}.jar

%files javadoc
%{_javadocdir}/%{name}



%changelog

* Fri Mar 02 2012 dmorgan <dmorgan> 3.1.0-2.mga2
+ Revision: 216971
- Clean spec file

  + gil <gil>
    - update to 3.1.0.GA
    - update to 3.1.0.CR1
    - imported package jboss-logging


* Thu Jul 28 2011 Marek Goldmann <mgoldman@redhat.com> 3.0.0-1
- Initial packaging

